Bug 1465470 - Documentation on upgrades shall explain how to do upgrades with custom mirrors
Documentation on upgrades shall explain how to do upgrades with custom mirrors
Status: NEW
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-tripleo (Show other bugs)
9.0 (Mitaka)
Unspecified Unspecified
high Severity high
: ---
: ---
Assigned To: Dan Macpherson
Amit Ugol
: Triaged, ZStream
Depends On:
Blocks: 1477647
  Show dependency treegraph
 
Reported: 2017-06-27 09:40 EDT by Yolanda Robla
Modified: 2018-06-28 14:59 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Yolanda Robla 2017-06-27 09:40:20 EDT
Description of problem:


Documentation on https://access.redhat.com/documentation/en-us/red_hat_openstack_platform/9/html/upgrading_red_hat_openstack_platform/chap-upgrading_the_environment talks about upgrades, but it's always assuming that the user will be on a system using RHEL subscription.
It is very usual for production systems, to don't rely on RHEL CDN, but have pre-built local mirrors. And documentation on upgrades does not mention anything about it.

Two different points shall be modified here. First, the one that comments on how to upgrade undercloud:

$ sudo subscription-manager repos --disable=rhel-7-server-openstack-8-rpms --disable=rhel-7-server-openstack-8-director-rpms
$ sudo subscription-manager repos --enable=rhel-7-server-openstack-9-rpms --enable=rhel-7-server-openstack-9-director-rpms

Could be mentioned here, to disable local repos for 8, and enable the repos for 9, in case of local mirrors.

Also, not as obvious as the first one. The system does the upgrade from 8 to 9 on that step:

$ openstack overcloud deploy --templates \
  --control-scale 3 \
  --compute-scale 3 \
  -e /usr/share/openstack-tripleo-heat-templates/environments/network-isolation.yaml \
  -e /usr/share/openstack-tripleo-heat-templates/environments/net-single-nic-with-vlans.yaml  \
  -e /home/stack/templates/network_env.yaml \
  -e /usr/share/openstack-tripleo-heat-templates/environments/major-upgrade-pacemaker-init.yaml

This relies on UpgradeInitCommand parameeter, to know which repos to disable and which ones to enable. By default, just assumes that the nodes are registered and using repos from CDN, and just disables 8 and enables 9.
But in the case of local mirrors, this parameter needs to be customized, to achieve all this repo change. Upgrade documentation shall talk about it, giving some example.
Comment 3 Sofer Athlan-Guyot 2017-06-28 05:33:40 EDT
Hi Mike,

waiting on your go no go on this one, or should we ask PM ?

Hi Dan,

when Mike (or PM) ensures that it's something we want to document I'll put the necessary commands.

Thanks,

Note You need to log in before you can comment on or make changes to this bug.